iOS 学习笔记二【cocopods安装使用和安装过程中遇到的问题及解决办法】【20160725更新】

       在osx 10.11之前cocopods问题不多,但是升级到11之后的版本,之前的cocopods大多用不了,需要重新安装,对于我这种使用测试版系统的技术狂来说,每次都需要重新安装很多东西,

当然,cocopods也避免不了安装很多次了。

       对于新手来说,使用cocopods开发,还是节省了相当多的开发时间,以下便是cocopods安装和安装过程中遇到的问题及解决办法:

 

最新更新:2016年7月25日,新电脑新系统测试安装!

 

 
 
【注:可以直接从第二步开始安装】
2、出现以下问题,大家不要慌:
 
1 boai:~ boai$ sudo gem install cocoapods
2 ERROR:  Could not find a valid gem 'cocoapods' (>= 0), here is why:
3           Unable to download data from http://ruby.taobao.org/ - bad response Not Found 404 (http://ruby.taobao.org/specs.4.8.gz)
4 boai:~ boai$ sudo gem install cocoapods 
5 ERROR:  Could not find a valid gem 'cocoapods' (>= 0), here is why:
6           Unable to download data from http://ruby.taobao.org/ - bad response Not Found 404 (http://ruby.taobao.org/specs.4.8.gz)
7 boai:~ boai$ sudo gem update --system
8 ERROR:  While executing gem ... (Gem::RemoteFetcher::FetchError)
9     bad response Not Found 404 (http://ruby.taobao.org/specs.4.8.gz)

解决办法:

(1)先执行下面两行代码:

1 sudo gem sources -r https://rubygems.org

2 sudo gem sources -a http://rubygems.org 

(2)执行过程如下:

1 boai:~ boai$ sudo gem sources -r https://rubygems.org
2 source https://rubygems.org not present in cache
3 boai:~ boai$ sudo gem sources -a http://rubygems.org
4 https://rubygems.org is recommended for security over http://rubygems.org
5 
6 Do you want to add this insecure source? [yn]  y

最后会提示

Do you want to add this insecure source? [yn]  
你选择 y就行了
然后出现:
http://rubygems.org added to sources

这就说明成功了,就可以执行下面的安装了。

 

在2016年7月1日开始,会出现以下错误,

 

rvm: command not found Mac

activesupport requires Ruby version >= 2.2.2.

 

这两种错误的解决办法如下;

 

强烈建议 使用rvm安装ruby

1、安装 RVM

RVM:Ruby Version Manager,Ruby版本管理器,包括Ruby的版本管理和Gem库管理(gemset)

  1. $ curl -L get.rvm.io | bash -s stable  

等待一段时间后就可以成功安装好 RVM。

  1. $ source ~/.bashrc  
  2. $ source ~/.bash_profile 

测试是否安装正常

 rvm -v 

 2、用RVM升级Ruby
  1. #查看当前ruby版本  
  2. $ ruby -v  
  3. ruby 1.8.7  
  4. #列出已知的ruby版本  
  5. $ rvm list known  
  6. #安装ruby 2.3.0  
  7. boaideMacBook:~ boai$ rvm install 2.3.0

期间会让你输入两次回车键,记得哦,别像我一样傻等了半天,以为网卡呢, 
boaideMacBook:~ boai$ rvm install 2.3.0
Searching for binary rubies, this might take some time.
No binary rubies available for: osx/10.11/x86_64/ruby-2.3.0.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for osx.
About to install Homebrew, press `Enter` for default installation in `/usr/local`,
type new path if you wish custom Homebrew installation (the path needs to be writable for user)
: 
==> This script will install:
/usr/local/bin/brew
/usr/local/Library/...
/usr/local/share/doc/homebrew
/usr/local/share/man/man1/brew.1
/usr/local/share/zsh/site-functions/_brew
/usr/local/etc/bash_completion.d/brew
==> The following directories will be made group writable:
/usr/local/.
==> The following directories will have their owner set to boai:
/usr/local/.
==> The following directories will have their group set to admin:
/usr/local/.

Press RETURN to continue or any other key to abort
==> /usr/bin/sudo /bin/chmod g+rwx /usr/local/.
Password:
==> /usr/bin/sudo /usr/sbin/chown boai /usr/local/.
==> /usr/bin/sudo /usr/bin/chgrp admin /usr/local/.
==> /usr/bin/sudo /bin/mkdir /Users/boai/Library/Caches/Homebrew
==> /usr/bin/sudo /bin/chmod g+rwx /Users/boai/Library/Caches/Homebrew
==> /usr/bin/sudo /usr/sbin/chown boai /Users/boai/Library/Caches/Homebrew
==> Downloading and installing Homebrew...
remote: Counting objects: 520, done.
remote: Compressing objects: 100% (461/461), done.
remote: Total 520 (delta 30), reused 318 (delta 28), pack-reused 0
Receiving objects: 100% (520/520), 786.43 KiB | 146.00 KiB/s, done.
Resolving deltas: 100% (30/30), done.
From https://github.com/Homebrew/brew
 * [new branch]      master     -> origin/master
HEAD is now at 5768e32 test-bot: fix coverage on Travis CI
==> Tapping homebrew/core
Cloning into '/usr/local/Library/Taps/homebrew/homebrew-core'...
remote: Counting objects: 3718, done.
remote: Compressing objects: 100% (3605/3605), done.
remote: Total 3718 (delta 7), reused 2085 (delta 4), pack-reused 0
Receiving objects: 100% (3718/3718), 2.89 MiB | 521.00 KiB/s, done.
Resolving deltas: 100% (7/7), done.
Checking connectivity... done.
Tapped 3596 formulae (3,744 files, 9.0M)
==> Installation successful!
==> Next steps
Run `brew help` to get started
Further documentation: https://git.io/brew-docs
==> Homebrew has enabled anonymous aggregate user behaviour analytics
Read the analytics documentation (and how to opt-out) here:
  https://git.io/brew-analytics
Installing requirements for osx.
Updating system.....
Installing required packages: autoconf, automake, libtool, pkg-config, libyaml, readline, libksba, openssl........
Certificates in '/usr/local/etc/openssl/cert.pem' are already up to date.
Requirements installation successful.
Installing Ruby from source to: /Users/boai/.rvm/rubies/ruby-2.3.0, this may take a while depending on your cpu(s)...
ruby-2.3.0 - #downloading ruby-2.3.0, this may take a while depending on your connection...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 13.5M  100 13.5M    0     0  3078k      0  0:00:04  0:00:04 --:--:-- 3477k
ruby-2.3.0 - #extracting ruby-2.3.0 to /Users/boai/.rvm/src/ruby-2.3.0....
ruby-2.3.0 - #configuring....................................................

 

 时间比较长:

 安装成功后提示:

 

ruby-2.3.0 - #downloading ruby-2.3.0, this may take a while depending on your connection...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 13.5M  100 13.5M    0     0  3078k      0  0:00:04  0:00:04 --:--:-- 3477k
ruby-2.3.0 - #extracting ruby-2.3.0 to /Users/boai/.rvm/src/ruby-2.3.0....
ruby-2.3.0 - #configuring......................................................|
ruby-2.3.0 - #post-configuration.
ruby-2.3.0 - #compiling........................................................|
ruby-2.3.0 - #installing.........
ruby-2.3.0 - #making binaries executable..
Installed rubygems 2.5.1 is newer than 2.4.8 provided with installed ruby, skipping installation, use --force to force installation.
ruby-2.3.0 - #gemset created /Users/boai/.rvm/gems/ruby-2.3.0@global
ruby-2.3.0 - #importing gemset /Users/boai/.rvm/gemsets/global.gems............|
ruby-2.3.0 - #generating global wrappers........
ruby-2.3.0 - #gemset created /Users/boai/.rvm/gems/ruby-2.3.0
ruby-2.3.0 - #importing gemsetfile /Users/boai/.rvm/gemsets/default.gems evaluated to empty gem list
ruby-2.3.0 - #generating default wrappers........
ruby-2.3.0 - #adjusting #shebangs for (gem irb erb ri rdoc testrb rake).
Install of ruby-2.3.0 - #complete 
Ruby was built without documentation, to build it run: rvm docs generate-ri
boaideMacBook:~ boai$ 

 

 

 

 然后再执行这句代码:

1 boai:~ boai$ sudo gem install cocoapods

 

boaideMacBook:~ boai$ sudo gem install cocoapods
Password:
Fetching: i18n-0.7.0.gem (100%)
Successfully installed i18n-0.7.0
Fetching: thread_safe-0.3.5.gem (100%)
Successfully installed thread_safe-0.3.5
Fetching: tzinfo-1.2.2.gem (100%)
Successfully installed tzinfo-1.2.2
Fetching: concurrent-ruby-1.0.2.gem (100%)
Successfully installed concurrent-ruby-1.0.2
Fetching: activesupport-5.0.0.gem (100%)
Successfully installed activesupport-5.0.0
Fetching: nap-1.1.0.gem (100%)
Successfully installed nap-1.1.0
Fetching: fuzzy_match-2.0.4.gem (100%)
Successfully installed fuzzy_match-2.0.4
Fetching: cocoapods-core-1.0.1.gem (100%)
Successfully installed cocoapods-core-1.0.1
Fetching: claide-1.0.0.gem (100%)
Successfully installed claide-1.0.0
Fetching: cocoapods-deintegrate-1.0.0.gem (100%)
Successfully installed cocoapods-deintegrate-1.0.0
Fetching: cocoapods-downloader-1.1.0.gem (100%)
Successfully installed cocoapods-downloader-1.1.0
Fetching: cocoapods-plugins-1.0.0.gem (100%)
Successfully installed cocoapods-plugins-1.0.0
Fetching: cocoapods-search-1.0.0.gem (100%)
Successfully installed cocoapods-search-1.0.0
Fetching: cocoapods-stats-1.0.0.gem (100%)
Successfully installed cocoapods-stats-1.0.0
Fetching: netrc-0.7.8.gem (100%)
Successfully installed netrc-0.7.8
Fetching: cocoapods-trunk-1.0.0.gem (100%)
Successfully installed cocoapods-trunk-1.0.0
Fetching: cocoapods-try-1.1.0.gem (100%)
Successfully installed cocoapods-try-1.1.0
Fetching: molinillo-0.4.5.gem (100%)
Successfully installed molinillo-0.4.5
Fetching: colored-1.2.gem (100%)
Successfully installed colored-1.2
Fetching: xcodeproj-1.2.0.gem (100%)
Successfully installed xcodeproj-1.2.0
Fetching: escape-0.0.4.gem (100%)
Successfully installed escape-0.0.4
Fetching: fourflusher-0.3.2.gem (100%)
Successfully installed fourflusher-0.3.2
Fetching: cocoapods-1.0.1.gem (100%)
Successfully installed cocoapods-1.0.1
Parsing documentation for i18n-0.7.0
Installing ri documentation for i18n-0.7.0
Parsing documentation for thread_safe-0.3.5
Installing ri documentation for thread_safe-0.3.5
Parsing documentation for tzinfo-1.2.2
Installing ri documentation for tzinfo-1.2.2
Parsing documentation for concurrent-ruby-1.0.2
Installing ri documentation for concurrent-ruby-1.0.2
Parsing documentation for activesupport-5.0.0
Installing ri documentation for activesupport-5.0.0
Parsing documentation for nap-1.1.0
Installing ri documentation for nap-1.1.0
Parsing documentation for fuzzy_match-2.0.4
Installing ri documentation for fuzzy_match-2.0.4
Parsing documentation for cocoapods-core-1.0.1
Installing ri documentation for cocoapods-core-1.0.1
Parsing documentation for claide-1.0.0
Installing ri documentation for claide-1.0.0
Parsing documentation for cocoapods-deintegrate-1.0.0
Installing ri documentation for cocoapods-deintegrate-1.0.0
Parsing documentation for cocoapods-downloader-1.1.0
Installing ri documentation for cocoapods-downloader-1.1.0
Parsing documentation for cocoapods-plugins-1.0.0
Installing ri documentation for cocoapods-plugins-1.0.0
Parsing documentation for cocoapods-search-1.0.0
Installing ri documentation for cocoapods-search-1.0.0
Parsing documentation for cocoapods-stats-1.0.0
Installing ri documentation for cocoapods-stats-1.0.0
Parsing documentation for netrc-0.7.8
Installing ri documentation for netrc-0.7.8
Parsing documentation for cocoapods-trunk-1.0.0
Installing ri documentation for cocoapods-trunk-1.0.0
Parsing documentation for cocoapods-try-1.1.0
Installing ri documentation for cocoapods-try-1.1.0
Parsing documentation for molinillo-0.4.5
Installing ri documentation for molinillo-0.4.5
Parsing documentation for colored-1.2
Installing ri documentation for colored-1.2
Parsing documentation for xcodeproj-1.2.0
Installing ri documentation for xcodeproj-1.2.0
Parsing documentation for escape-0.0.4
Installing ri documentation for escape-0.0.4
Parsing documentation for fourflusher-0.3.2
Installing ri documentation for fourflusher-0.3.2
Parsing documentation for cocoapods-1.0.1
Installing ri documentation for cocoapods-1.0.1
Done installing documentation for i18n, thread_safe, tzinfo, concurrent-ruby, activesupport, nap, fuzzy_match, cocoapods-core, claide, cocoapods-deintegrate, cocoapods-downloader, cocoapods-plugins, cocoapods-search, cocoapods-stats, netrc, cocoapods-trunk, cocoapods-try, molinillo, colored, xcodeproj, escape, fourflusher, cocoapods after 24 seconds
23 gems installed
boaideMacBook:~ boai$ 

 

 这就代表安装成功了!

 

3、安装cocopods

执行下面的语句:

 1 sudo gem install cocoapods 

据说新版本改了,没有验证,大家可以试试看:

sudo gem install -n /usr/local/bin cocoapods

 

会出现下面的界面:(激动。。。)

boai:~ boai$ sudo gem install cocoapods
Fetching: nap-1.0.0.gem (100%)
Successfully installed nap-1.0.0
Fetching: thread_safe-0.3.5.gem (100%)
Successfully installed thread_safe-0.3.5
Fetching: tzinfo-1.2.2.gem (100%)
Successfully installed tzinfo-1.2.2
Fetching: i18n-0.7.0.gem (100%)
Successfully installed i18n-0.7.0
Fetching: activesupport-4.2.5.gem (100%)
Successfully installed activesupport-4.2.5
Fetching: escape-0.0.4.gem (100%)
Successfully installed escape-0.0.4
Fetching: colored-1.2.gem (100%)
Successfully installed colored-1.2
Fetching: molinillo-0.4.0.gem (100%)
Successfully installed molinillo-0.4.0
Fetching: netrc-0.7.8.gem (100%)
Successfully installed netrc-0.7.8
Fetching: cocoapods-trunk-0.6.4.gem (100%)
Successfully installed cocoapods-trunk-0.6.4
Fetching: cocoapods-try-0.5.1.gem (100%)
Successfully installed cocoapods-try-0.5.1
Fetching: cocoapods-stats-0.6.2.gem (100%)
Successfully installed cocoapods-stats-0.6.2
Fetching: cocoapods-search-0.1.0.gem (100%)
Successfully installed cocoapods-search-0.1.0
Fetching: cocoapods-plugins-0.4.2.gem (100%)
Successfully installed cocoapods-plugins-0.4.2
Fetching: cocoapods-downloader-0.9.3.gem (100%)
Successfully installed cocoapods-downloader-0.9.3
Fetching: claide-0.9.1.gem (100%)
Successfully installed claide-0.9.1
Fetching: xcodeproj-0.28.2.gem (100%)
Successfully installed xcodeproj-0.28.2
Fetching: fuzzy_match-2.0.4.gem (100%)
Successfully installed fuzzy_match-2.0.4
Fetching: cocoapods-core-0.39.0.gem (100%)
Successfully installed cocoapods-core-0.39.0
Fetching: cocoapods-0.39.0.gem (100%)
Successfully installed cocoapods-0.39.0
Parsing documentation for nap-1.0.0
Installing ri documentation for nap-1.0.0
Parsing documentation for thread_safe-0.3.5
Installing ri documentation for thread_safe-0.3.5
Parsing documentation for tzinfo-1.2.2
Installing ri documentation for tzinfo-1.2.2
Parsing documentation for i18n-0.7.0
Installing ri documentation for i18n-0.7.0
Parsing documentation for activesupport-4.2.5
Installing ri documentation for activesupport-4.2.5
Parsing documentation for escape-0.0.4
Installing ri documentation for escape-0.0.4
Parsing documentation for colored-1.2
Installing ri documentation for colored-1.2
Parsing documentation for molinillo-0.4.0
Installing ri documentation for molinillo-0.4.0
Parsing documentation for netrc-0.7.8
Installing ri documentation for netrc-0.7.8
Parsing documentation for cocoapods-trunk-0.6.4
Installing ri documentation for cocoapods-trunk-0.6.4
Parsing documentation for cocoapods-try-0.5.1
Installing ri documentation for cocoapods-try-0.5.1
Parsing documentation for cocoapods-stats-0.6.2
Installing ri documentation for cocoapods-stats-0.6.2
Parsing documentation for cocoapods-search-0.1.0
Installing ri documentation for cocoapods-search-0.1.0
Parsing documentation for cocoapods-plugins-0.4.2
Installing ri documentation for cocoapods-plugins-0.4.2
Parsing documentation for cocoapods-downloader-0.9.3
Installing ri documentation for cocoapods-downloader-0.9.3
Parsing documentation for claide-0.9.1
Installing ri documentation for claide-0.9.1
Parsing documentation for xcodeproj-0.28.2
Installing ri documentation for xcodeproj-0.28.2
Parsing documentation for fuzzy_match-2.0.4
Installing ri documentation for fuzzy_match-2.0.4
Parsing documentation for cocoapods-core-0.39.0
Installing ri documentation for cocoapods-core-0.39.0
Parsing documentation for cocoapods-0.39.0
Installing ri documentation for cocoapods-0.39.0
Done installing documentation for nap, thread_safe, tzinfo, i18n, activesupport, escape, colored, molinillo, netrc, cocoapods-trunk, cocoapods-try, cocoapods-stats, cocoapods-search, cocoapods-plugins, cocoapods-downloader, claide, xcodeproj, fuzzy_match, cocoapods-core, cocoapods after 21 seconds
WARNING:  Unable to pull data from 'http://ruby.taobao.org/': bad response Not Found 404 (http://ruby.taobao.org/specs.4.8.gz)
20 gems installed

看到最后一行代码,你就放120个心吧。。。

 

然后就可以查看你的pods版本了:

输入:pod

然后会出现下面的代码:

boai:~ boai$ pod
Usage:

    $ pod COMMAND

      CocoaPods, the Cocoa library package manager.

Commands:

    + cache      Manipulate the CocoaPods cache
    + init       Generate a Podfile for the current directory.
    + install    Install project dependencies to Podfile.lock versions
    + ipc        Inter-process communication
    + lib        Develop pods
    + list       List pods
    + outdated   Show outdated project dependencies
    + plugins    Show available CocoaPods plugins
    + repo       Manage spec-repositories
    + search     Search for pods.
    + setup      Setup the CocoaPods environment
    + spec       Manage pod specs
    + trunk      Interact with the CocoaPods API (e.g. publishing new specs)
    + try        Try a Pod!
    + update     Update outdated project dependencies and create new
                 Podfile.lock

Options:

    --silent     Show nothing
    --version    Show the version of the tool
    --verbose    Show more debugging information
    --no-ansi    Show output without ANSI codes
    --help       Show help banner of specified command
boai:~ boai$ 

 

这就安装成功了,就可以正常使用pod了。。。

 

4、接下来就可以在项目中使用了,

打开终端:

cd 你的项目路径

boai:~ boai$ cd /Users/boai/Documents/博爱项目/BAPDCViewTest 

然后:输入touch podfile  或者 pod init (会自动生成podfile文件)

boai:BAPDCViewTest boai$ pod init

boai:BAPDCViewTest boai$ pod install

接下来出现:

Last login: Fri Nov 20 11:02:59 on ttys006

boai:~ boai$ cd /Users/boai/Documents/博爱项目/BAPDCViewTest 

boai:BAPDCViewTest boai$ touch podfile

boai:BAPDCViewTest boai$ pod install

Updating local specs repositories

Analyzing dependencies

Downloading dependencies

Generating Pods project

Integrating client project

 

[!] Please close any current Xcode sessions and use `BAPDCViewTest.xcworkspace` for this project from now on.

Sending stats

Pod installation complete! There are 0 dependencies from the Podfile and 0 total

pods installed.

 

[!] [!] The Podfile does not contain any dependencies.

boai:BAPDCViewTest boai$ 

 

 

这就成功了,然后再看看你的项目路径里面,是不是多出来很多文件?

如下图:

 

 

然后双击***.workspace 文件就可以使用pods了!

 

5、新版本pod 安装问题:

podfile升级之后到最新版本,pod里的内容必须明确指出所用第三方库的target,否则会出现The dependency `` is not used in any concrete target这样的错误。

以下从三个步骤陈述:

4.1. Podfile升级

查看pod版本:

pod --version

 pod 升级(此时是升级到1.0.0.beta.2版本):

sudo gem install cocoapods --pre

 

4.2. 错误内容:

我的Podfile的内容是:

pod ‘SDWebImage‘, ‘3.6‘

 

pod install后出现错误The dependency `` is not used in any concrete target

pod install
/System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/2.0.0/universal-darwin14/rbconfig.rb:213: warning: Insecure world writable dir /Applications/Cocos/tools/ant/bin in PATH, mode 040777
Re-creating CocoaPods due to major version update.
Updating local specs repositories
Analyzing dependencies


The dependency `SDWebImage (= 3.6)` is not used in any concrete target.

 

4.3. 修改方法:

Podfile内容更改:

步骤:

4.3.1 双击双击***.workspace 文件,打开项目

4.3.2 拉到最下面,找到pods,打开后点击podfile文件,

4.3.3 在podfile里面添加所需要的三方库

最终的podfile 文件规范内容为下:

    
# Uncomment this line to define a global platform for your project
# platform :ios, '8.0'
# Uncomment this line if you're using Swift
# use_frameworks!

# 注意:xcodeproj '***.xcodeproj' 这句新版本必须要写上,***为你的工程名字,最下面记得要加上 @end xcodeproj 'BABaseProject.xcodeproj' # 去掉由pod引入的第三方库的警告,需要更新命令才生效 inhibit_all_warnings! target 'BABaseProject' do # 对系统原生的AutoLayout 的 NSLayoutConstraints类的封装,优雅的链式语法,GitHub 排名第三 pod 'Masonry', '~> 0.6.4' # 两个都是自动布局框架 pod 'SDAutoLayout', '~> 1.31' # 自定义button框架 pod 'BAButton', '~> 1.0.1' end target 'BABaseProjectTests' do end target 'BABaseProjectUITests' do end

 

 

 4.3.4 完成podfile 的内容更改后,记得 cmd + s 保存更改,然后打开终端

4.3.5  在终端中cd 项目路径,打开项目后,输入: 

pod install --verbose --no-repo-update

pod update --verbose --no-repo-update

或者

pod install --no-repo-update

pod update --no-repo-update

 

然后看你的项目路径pod下面, 是不是已经添加了你所需要的三方库呢?

 

如果更新pod 的时候出现这个问题:

安装cocoapods遇到error: RPC failed; curl 56 SSLRead() return error -36问题

解决办法如下:终端输入以下代码:

<code
 class="hljs cs has-numbering" style="display: block; padding: 0px; 
background-color: transparent; color: inherit; box-sizing: border-box; 
font-family: 'Source Code Pro', monospace;font-size:undefined; 
white-space: pre; border-top-left-radius: 0px; border-top-right-radius: 
0px; border-bottom-right-radius: 0px; border-bottom-left-radius: 0px; 
word-wrap: normal; background-position: initial initial; 
background-repeat: initial initial;">sudo xcode-<span 
class="hljs-keyword" style="color: rgb(0, 0, 136); box-sizing: 
border-box;">select</span> -<span class="hljs-keyword" 
style="color: rgb(0, 0, 136); box-sizing: 
border-box;">switch</span> 
/Applications/Xcode.app/Contents/Developers</code><ul 
class="pre-numbering" style="box-sizing: border-box; position: absolute;
 width: 50px; background-color: rgb(238, 238, 238); top: 0px; left: 0px;
 margin: 0px; padding: 6px 0px 40px; border-right-width: 1px; 
border-right-style: solid; border-right-color: rgb(221, 221, 221); 
list-style: none; text-align: right;"><li style="box-sizing: 
border-box; padding: 0px 5px;">1</li></ul><ul 
class="pre-numbering" style="box-sizing: border-box; position: absolute;
 width: 50px; background-color: rgb(238, 238, 238); top: 0px; left: 0px;
 margin: 0px; padding: 6px 0px 40px; border-right-width: 1px; 
border-right-style: solid; border-right-color: rgb(221, 221, 221); 
list-style: none; text-align: right;"><li style="box-sizing: 
border-box; padding: 0px 5px;">1</li></ul>

 

然后再更新pod试试!

 

如果出现这个:

[!] xcodeproj was renamed to `project`. Please use that from now on.

 只需要将这里的名字改过来就行了:

 1 # Uncomment this line to define a global platform for your project
 2 # platform :ios, '8.0'
 3 # Uncomment this line if you're using Swift
 4 # use_frameworks!
 5 
 6 project 'BABaseProject.project'
 7 
 8 
 9 # 去掉由pod引入的第三方库的警告,需要更新命令才生效
10 inhibit_all_warnings!
11 
12 # pod 快速更新方法
13 # pod update --verbose --no-repo-update
14 
15 target 'BABaseProject' do

 

 

 

5、最后给大家点推荐内容:

 

5.1、一个基于 MVVM 和 MVC 设计模式的基本项目框架,项目用到的各种类,各种封装,各种三方库的综合项目,欢迎大家使用!

有了『BABaseProject』一个基于 MVVM 和 MVC 设计模式的基本项目框架,以后开发项目再也不用担心自己搭建框架了!

 

5.2、完全实现UIButton的自定义的类库 

 

博爱的博客:http://boai.github.io 

博爱的博客园:http://www.cnblogs.com/boai/ 

博爱的简书:http://www.jianshu.com/users/95c9800fdf47/latest_articles 

简书专题链接:http://www.jianshu.com/collections/250078/submissions

 

 

 

 

 

 

 

好了,大功告成!

 

 

 

 

 

 

 

 

 

 

 

posted @ 2015-11-19 16:14 博爱1616 阅读(...) 评论(...) 编辑 收藏